0

I am running W2012 DataCenter edition

I already have SQL Express 2012 installed (which works fine), and I want to start using TFS Express.

When I try to run the TFS installation exe, the installation succeeds but if fails during configuration, at the 'readiness checks' section, specifically at Data Tier bit!

The error message is

TF255146: Team Found Server REquires SQL Server 2008 R2 (10.50.1600) or greater. The SQL Server instance VPS158097\SqlExpress you supplied is version 12.0.2000.8

Well, according to the message, my version of SQL Express is higher than the minimum.

Checking the logs, I see another message which also appears to be incorrect

FailureMessage = TF401067: Installing TFS on a machine that contains an underscore is strongly discouraged. Doing so will block certain administrative functions, such as team project security, group membership, and work item areas and iterations, as well as the use of Web Access from Internet Explorer. Please change your machine name to one without underscores before proceeding.

      MachineName = VPS158097

Control panel does show that I have previous versions of SQL Express, such as

enter image description here

But I don't see which one (s) I can remove to rectify this issue?

I also include a screen shot showing I have 2 instances

enter image description here

What can I do to configure TFS on my VPS?

1

It sounds like you are trying to install an old version of TFS that does not support SQL 2014. You should download and install TFS 2015 as a minimum.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.